# ~/.ssh/config
{
  systemConfig,
  systems,
  common,
  ...
}:
with builtins;

{
  programs.ssh = {
    enable = true;
    matchBlocks = listToAttrs (
      map (system: {
        name = system.hostName;
        value =
          let
            # TODO rename desktop to homelab
            hostName = if system.hostName == "homelab" then "admin" else system.hostName;
          in
          {
            port = 22;
            user = systemConfig.username;
            hostname = "${hostName}.dns.${common.domain}";
          };
      }) systems
    );
  };
}
